Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

For contributors: using Visual Studio on aspnet repos requires installing or upgrading to 2019 #345

Open
natemcmaster opened this Issue Feb 20, 2019 · 0 comments

Comments

Projects
None yet
1 participant
@natemcmaster
Copy link
Member

natemcmaster commented Feb 20, 2019

We are updating the master branch of the following repos to require Visual Studio 2019.

  • aspnet/AspNetCore
  • aspnet/AspNetCore-Tooling
  • aspnet/EntityFrameworkCore
  • aspnet/Extensions

The .NET Core 3.0 SDK requires MSBuild 16, which is currently only supported by Visual Studio 2019. VS 2019 will be released on April 2. In the meantime, you can get VS 2019 Preview 3 here: https://visualstudio.microsoft.com/vs/preview/.

If you are working on the aspnet/AspNetCore repo, you can run this script to install or modify your current VS2019 installation to add features required by this repo.


Use aspnet/AspNetCore#7752 for discussion on this announcement.

@aspnet aspnet locked as resolved and limited conversation to collaborators Feb 20, 2019

@natemcmaster natemcmaster changed the title For contributors: Visual Studio 2019 is now a prerequisite for .NET Core 3 projects in aspnet repos For contributors: using Visual Studio on aspnet repos requires installing or upgrading to 2019 Feb 20, 2019

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
You can’t perform that action at this time.